Subject: [Megaco] Cancel ServiceChange Graceful

From: "Chuong N. Nguyen" <[email-masked]>
Date: Sun, 20 Jan 2002 16:12:55 -0600

Hi Tom

What are the possibilites of defining a mechanism of cancelling
ServiceChange Graceful?
That is MG send SC Graceful w/Delay=time.
Before time expired, MG wants to cancel this ServiceChange.

1) Can this be done in V1 by adding a new SC Reason like "916 SC
Graceful cancelled"?
2) Done in V2 - new SC Method or Reason?
3) Should be covered in draft-hss-megaco-control-association?

Thanks
Chuong

--
  Alcatel USA, Inc             Internet: [email-masked]
  1000 Coit Road Plano, Texas 75075           Phone:    (972) 519-4613
  **** The opinions expressed are not those of Alcatel USA, Inc ****

---

From: [email-masked]
Date: Wed, 23 Jan 2002 00:11:35 +0530

Hi Chuong/list,

Answering to your first question, we think that there can be two interpretations
here.

1.  One  is that "SC Restart w/Service Restorted and ROOT"
   means "SC Graceful w/Delay is being cancelled" and MGC should behave
   accordingly.

2.  The other view may be that we are trying to overload the reason as "Service
Restored" for two different scenarios.
     The service change reason as "Service Restored" can be used by MG in one
scenario, wherein MG comes up afresh with no calls running over all the
associated terminations but they all are in  In-service state.
     The second scenario (what we are currently discussing) in which calls are
still active and MG just wants to cancel the last generated "Graceful Shutdown"
request.
     Due to the overloading of the reason as "Service Restored", how would MGC
come to know about the state of those terminations, which were earlier
"out-of-service" even before the "graceful shutdown" request was generated.

The above two bullets clearly convey that one should either define one more
"Service Change Method" (may be 'cancel-graceful" as suggested by you and use
reason as "Service Restored") or use method as "Restart" and use reason "Service
Restored" but define a new service change reason for Cold Start of MG.

Thus we can have the following reason-method combinations.
1. Restart - Cold Start   (no configuration data preserved, no calls)
2. Restart - Cold Boot   (configuration data preserved, no calls)
3. Restart - Warm Boot  (configuration data preserved, calls preserved,
transactions may be lost)
4. Restart - Service Restored   (configuration data preserved, calls preserved,
cacelling the "graceful shutdown" request and the last set of "In-service"
terminations, before "graceful shutdown" was initiated, are still In-service)

Please comment.

Thanks and Regards,
Prashant Jain
Vivek Bansal

>
> "Chuong N. Nguyen" wrote:

> >
> >
> > MG sends SC Graceful w/Delay and terminationID=ROOT.
> >
> > If MG sends SC Restart w/Service Restorted and ROOT, does the MGC
> > assume that
> > 1) SC Graceful w/Delay is being cancelled?
> > 2) All terminations are back In Service?  Even the ones that were
> > originally OOS before the SC Graceful.
> >
> >
> >    1) Graceful - indicates that the specified Terminations will be
> > taken
> >       out of service after the specified ServiceChangeDelay;
> > established
> >       connections are not yet affected, but the Media Gateway
> > Controller
> >       should refrain from establishing new connections and should
> >       attempt to gracefully tear down existing connections on the
> >       Termination(s) affected by the serviceChange command. The MG
> >       should set termination serviceState at the expiry of
> >       ServiceChangeDelay or the removal of the termination from an
> >       active context (whichever is first), to "out of service".
> >
> >
> > How should MGC implementation intepret the above highlighted
> > statement?
> > Does this mean that MGC should not try to gracefully tear down
> > existing connections
> > before Delay timer expired?
> >
> > But I think the above statement is telling MGC to try and gracefully
> > tear down
> > existing connections before Delay timer expired.
> >
> > To be able to cancel Graceful w/Delay, it seems that MGC needs to wait
> > until
> > Delay timer expired before it tries to tear down existing connections.
> >
> > But after Delay timer expired, MG will put all terminations out of
> > service.
> > Therefore there is no such thing as MGC gracefully tearing down
> > existing connections.
> >
> >
> > Christian Groves wrote:
> >
> > > I don't see that we need to add anything. Why can't the MG just
> > > issue a
> > > SC with Restart, Service Restored? The specification already allows
> > > the
> > > MG to do this.
> > >
> > > Regards, Christian
> > >
> > > "Chuong N. Nguyen" wrote:
> > > >
> > > > Hi Tom
> > > >

"DISCLAIMER: This message is proprietary to Hughes Software Systmes Limited
(HSS) and is intended solely for the use of the individual  to whom it is
addressed. It may contain  privileged or confidential information  and should
not be circulated or used for any purpose other than for what it is intended.If
you have received this message in error, please notify the originator
immediately. If you are not the intended recipient, you are notified that you
are strictly prohibited from using, copying, altering, or disclosing the
contents of this message. HSS accepts no responsibility for loss or damage
arising from the use of the information transimitted by this email including
damage from virus."

---

From: "Tom-PT Taylor"<[email-masked]>
Date: Wed, 23 Jan 2002 16:12:29 -0500

SC Graceful from the MG should mean that the MGC won't direct any new calls
to it, no more than that until expiry of the grace period.

-----Original Message-----
From: Chuong N. Nguyen [mailto:[email-masked]]
Sent: Tuesday, January 22, 2002 11:02 AM
To: Christian Groves
Cc: [email-masked]
Subject: Re: [Megaco] Cancel ServiceChange Graceful

Maybe I need a clarification on what 
should attempt to gracefully tear down existing connections on the 
Termination(s) affected by the serviceChange command.
Does the MGC just do a CAMP_ON-OOS - that is wait until the subcribers hang
up normally and then 
put the termination OOS after subscribers hang up (before delay timer
expired)? 
Or MGC starts releasing the calls whether the subscribers hang up or not? 
Thanks 
Chuong 
Christian Groves wrote: 
There is a timing dependency here. If the MG issues a SC Graceful then 
the MGC will act on it. There will be a finite time that the MGC 
operates under graceful mode. If a SC Restart w/Service Restored or 
Service Change Cancel is issued during the graceful the MGC can't undo 
what it had done in that finite time but the connections that stayed up 
can remain up. If the SC Restart w/service restored or Service Change 
Cancel is not received before the delay times out then it pretty too 
late as the terminations will be torn down. 
I don't understand why you say that the MGC must wait until the 
servicechange delay timesouts before gracefully tearing down 
connections? 
Christian 

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: "Tom-PT Taylor"<[email-masked]>
Date: Wed, 23 Jan 2002 16:12:29 -0500